#!/bin/bash -e
echo "Running install.sh"

apt update

echo "Adding UbuntuGIS repo"
DEBIAN_FRONTEND=noninteractive apt install -y software-properties-common
add-apt-repository -y ppa:ubuntugis/ubuntugis-unstable
add-apt-repository -y ppa:schpidi2/eox
apt update

echo "Installing packages"
DEBIAN_FRONTEND=noninteractive apt install -y \
    libmapcache1=1.8.0-1~bionic1eox2 libapache2-mod-mapcache=1.8.0-1~bionic1eox2 mapcache-tools=1.8.0-1~bionic1eox2 \
    sqlite3 curl apache2 python3-dateutil python3-redis wait-for-it

rm -rf /var/lib/apt/lists/*
